Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003190Zandronum[All Projects] Bugpublic2017-07-17 14:282020-04-11 00:45
ReporterFrits 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target VersionFixed in Version3.0 
Summary0003190: Coopspy weapon desync when autoswitch on pick-up is disabled
DescriptionI Noticed in LCA and Complex (not tested in vanilla yet) that when you are coopspying someone weapon desyncs happen if that person picks up a gun and has automatic weapon switch disabled. The spy thinks that the switch has happened and will sees BFG balls out of a chaingun for example. When the player manually switches guns the behavior get's corrected.


Addendum: I've also seen an armor desync and someone else reported clientside ammo desyncs in LCA, but I do not know the specifics of these ones yet.
Steps To Reproduce1)Spy someone with automatic weapon switch disabled and have him pick up a new gun.
2) Player fires and spy notices the desync
Attached Files

- Relationships

-  Notes
User avatar (0018056)
Edward-san (developer)
2017-07-17 18:51

Does it happen in 2.1?
User avatar (0018062)
Frits (reporter)
2017-07-18 07:25

I have never experienced it with 2.1. and it's glaringly obvious in 3.0. I will test it to be completely sure when I have some time.
User avatar (0018077)
Ru5tK1ng (updater)
2017-07-22 17:28

I had someone tell me they witnessed someone who has autoswitch enabled still desync to those who are coopspying.
User avatar (0018090)
Torr Samaho (administrator)
2017-07-23 19:42

https://bitbucket.org/zandronum/zandronum-sandbox/commits/487b39baa95d48137a1d8d5743241272ee016e3c [^] may fix the issue. Can somebody test this? I can supply a build if necessary.
User avatar (0018118)
Frits (reporter)
2017-07-30 08:01

I will test this for you if you can supply a build. I am a computer illiterate after all.
User avatar (0018130)
Torr Samaho (administrator)
2017-08-01 18:10

No problem. Here is a binary that contains the fix.
User avatar (0021260)
Ru5tK1ng (updater)
2020-04-11 00:45

Couldn't reproduce in 3.1beta. Assuming it was fixed long ago since no one reported any issue. Reopen if necessary.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-07-17 14:28 Frits New Issue
2017-07-17 18:51 Edward-san Note Added: 0018056
2017-07-17 18:51 Edward-san Status new => feedback
2017-07-18 07:25 Frits Note Added: 0018062
2017-07-18 07:25 Frits Status feedback => new
2017-07-22 17:28 Ru5tK1ng Note Added: 0018077
2017-07-23 19:42 Torr Samaho Note Added: 0018090
2017-07-23 19:43 Torr Samaho Assigned To => Torr Samaho
2017-07-23 19:43 Torr Samaho Status new => needs testing
2017-07-30 08:01 Frits Note Added: 0018118
2017-08-01 18:10 Torr Samaho Note Added: 0018130
2020-04-11 00:45 Ru5tK1ng Note Added: 0021260
2020-04-11 00:45 Ru5tK1ng Status needs testing => resolved
2020-04-11 00:45 Ru5tK1ng Resolution open => fixed
2020-04-11 00:45 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker